org.fourthline.cling.support.model.dlna

## Class DLNAFlagsAttribute

- java.lang.Object
- - org.fourthline.cling.support.model.dlna.DLNAAttribute<EnumSet<DLNAFlags>>
  - - org.fourthline.cling.support.model.dlna.DLNAFlagsAttribute

-     public class DLNAFlagsAttribute
      extends DLNAAttribute<EnumSet<DLNAFlags>>

  Author:
    Mario Franco

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.model.dlna.DLNAAttribute

      `DLNAAttribute.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLNAFlagsAttribute()`
    `DLNAFlagsAttribute(DLNAFlags... flags)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s, String cf)`

    - ### Methods inherited from class org.fourthline.cling.support.model.dlna.DLNAAttribute

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DLNAFlagsAttribute

          public DLNAFlagsAttribute()

    - #### DLNAFlagsAttribute

          public DLNAFlagsAttribute(DLNAFlags... flags)

  - ### Method Detail

    - #### setString

          public void setString(String s,
                                String cf)
                         throws InvalidDLNAProtocolAttributeException

      Specified by:
        `setString` in class `DLNAAttribute<EnumSet<DLNAFlags>>`
      Parameters:
        `s` - This attribute's value as a string representation.
        `cf` - This attribute's mime type as a string representation, optional.
      Throws:
        `InvalidDLNAProtocolAttributeException` - If the value is invalid for this DLNA attribute.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `DLNAAttribute<EnumSet<DLNAFlags>>`
      Returns:
        A string representing this attribute's value.

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.